<?php
/*
 *=================================
 * Header Settings
 * @package Creote WordPress Theme
 *==================================
*/

Redux::setSection( $opt_name, array(
            'title'  => esc_html__( 'Header Settings', 'creote' ),
            'id'     => 'header_versions',
            'desc'   => esc_html__( '', 'creote' ),
            'icon'   => 'el el-cog',
            'fields' => array(
           
            array(
                'id' => 'page-header-sec-start',
                'type' => 'section',
                'title' => __('Page Header  Section', 'creote'),
                'indent' => true 
            ),    
            array(
                'id'       => 'page_header_enable',
                'type'     => 'switch', 
                'title'    => __('Page Header Enable / Disable', 'creote'),
                'default'  => true,
            ),
            array(
                'id'       => 'default_page_header_image',
                'type'     => 'media', 
                'url'      => true,
                'title'    => __('Pageheader Background Image', 'creote'),
                'default'  => array(
                    'url'=> get_template_directory_uri() . '/assets/images/page-header-default.jpg', 
                ),
            ),
            array(
                'id'       => 'page_header_bg',
                'type'     => 'color',
                'title'    => __('Pageheader Background Color', 'creote'), 
                'validate' => 'color',
            ),

            array(
                'id' => 'page_header_padding-start',
                'type' => 'section',
                'title' => __('Page Header Padding', 'creote'),
                'indent' => true 
            ),
            array(
                'id'       => 'page_header_css_enable',
                'type'     => 'switch', 
                'title'    => __('Page Header Css Enable / Disable', 'creote'),
                'default'  => false,
            ),
            array(
                'id'             => 'page_header_padding',
                'type'           => 'spacing',
                'mode'           => 'padding',
                'units'          => array('em', 'px'),
                'units_extended' => 'false',
                'title'          => __('Page Header  Padding', 'creote'),
                'desc'           => __('Page Header padding you can add padding here.', 'creote'),
                'required' => array( 'page_header_css_enable', '=', true ),
            ),


            array(
                'id'             => 'page_header_padding_mb',
                'type'           => 'spacing',
                'output'         => array('body'),
                'mode'           => 'padding',
                'units'          => array('em', 'px'),
                'units_extended' => 'false',
                'title'          => __('Page Header Padding (Mobile after 1200px)', 'creote'),
                'desc'           => __('Page Header padding you can add padding here.', 'creote'),
                'required' => array( 'page_header_css_enable', '=', true ),
            ),


            array(
                'id' => 'header-sec-start',
                'type' => 'section',
                'title' => __('Header  Section', 'creote'),
                'indent' => true 
            ),                
            array(
                'id'       => 'header_custom',
                'type'     => 'switch', 
                'title'    => __('Header Custom Enable / Disable', 'creote'),
                'default'  => false,
            ),
            array(
                'id'       => 'header_style',
                'type'     => 'select',
                'title'    => __('Select Header Style', 'creote'),  
                // Must provide key => value pairs for select options
                'options'  => creote_header_query('header'),
                'required' => array( 'header_custom', '=', true ),
            ),

            array(
                'id' => 'sticky-header-sec-start',
                'type' => 'section',
                'title' => __('Sticky Header  Section', 'creote'),
                'indent' => true 
            ),   

            array(
                'id'       => 'sticky_header_enable',
                'type'     => 'switch', 
                'title'    => __('Sticky Header Enable / Disable', 'creote'),
                'default'  => true,
            ),
            array(
                'id'       => 'logo_sticky',
                'type'     => 'media', 
                'url'      => true,
                'title'    => __('Logo', 'creote'),
                'default'  => array(
                    'url'=> get_template_directory_uri() . '/assets/images/logo-default.png', 
                ),
            ),
            array(
                'id'       => 'logo_sticky_link',
                'type'     => 'text',
                'title'    => esc_html__( ' Link (url)', 'creote' ),
                'desc'     => esc_html__( 'Enter the url here', 'creote' ),
                'default' => esc_html__('#', 'creote') ,
            ),  
            array(
                'id'       => 'sticky_logo_width',
                'type'     => 'dimensions',
                'units'    => array('em','px','%'),
                'title'    => esc_html__('Logo Width', 'creote'),
                'height' => false,
                'subtitle' => esc_html__('Allow your users to choose width', 'creote'),
                'desc'     => esc_html__('Enable or disable any piece of this field. Width, or Units.', 'creote'),
                'default'  => array(
                    'Width'   => '150', 
                    'Height'  => false
                ),
            ),

            array(
                'id'       => 'sticky_logo_move_top',
                'type'     => 'text',
                'title'    => __('Logo Move Top', 'creote'),
                'desc'     => __('This text box is used to move logo top eg( 10px  , -10px  or -10rem)', 'creote'),
                'default'  => '7px'
            ),

            
            array(
                'id'       => 'sticky_logo_move_left',
                'type'     => 'text',
                'title'    => __('Logo Move Left', 'creote'),
                'desc'     => __('This text box is used to move logo Left eg( 10px  , -10px  or -10rem)', 'creote'),
                'default'  => '0px'
            ),
            
            array(
                'id'       => 'sticky_search_enables',
                'type'     => 'switch', 
                'title'    => __('Search Enable', 'creote'),
                'default'  => true,
            ),
            array(
                'id'       => 'sticky_smodal_enables',
                'type'     => 'switch', 
                'title'    => __('Modal  Enable', 'creote'),
                'default'  => true,
            ),
            

     )
));

